summaryrefslogtreecommitdiff
path: root/tests/mv/i-link-no
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/i-link-no')
-rwxr-xr-xtests/mv/i-link-no70
1 files changed, 70 insertions, 0 deletions
diff --git a/tests/mv/i-link-no b/tests/mv/i-link-no
new file mode 100755
index 0000000..2931af6
--- /dev/null
+++ b/tests/mv/i-link-no
@@ -0,0 +1,70 @@
+#!/bin/sh
+# Show that mv doesn't preserve links to files the user has declined to move.
+
+# Copyright (C) 2002, 2004, 2005, 2006 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ mv --version
+fi
+
+. $srcdir/../envvar-check
+. $srcdir/../lang-default
+
+pwd=`pwd`
+tmp=i-link-no.$$
+trap 'status=$?; cd "$pwd" && rm -rf $tmp && exit $status' 0
+trap '(exit $?); exit' 1 2 13 15
+
+framework_failure=0
+mkdir $tmp || framework_failure=1
+cd $tmp || framework_failure=1
+mkdir a b || framework_failure=1
+echo foo > a/foo || framework_failure=1
+ln a/foo a/bar || framework_failure=1
+echo FUBAR > b/FUBAR || framework_failure=1
+ln b/FUBAR b/bar || framework_failure=1
+chmod a-w b/bar || framework_failure=1
+
+if test $framework_failure = 1; then
+ echo "$0: failure in testing framework" 1>&2
+ (exit 1); exit 1
+fi
+
+fail=0
+
+mv --reply=no a/bar a/foo b > out 2> err || fail=1
+cat <<EOF > exp
+EOF
+
+cat <<EOF > exp_err
+mv: the --reply option is deprecated; use -i or -f instead
+EOF
+
+cmp err exp_err || fail=1
+test $fail = 1 && diff err exp_err 2> /dev/null
+
+cmp out exp || fail=1
+test $fail = 1 && diff out exp 2> /dev/null
+
+case "`cat b/foo`" in
+ foo) ;;
+ *) fail=1;;
+esac
+
+(exit $fail); exit $fail